<html>
<head>
<title>Ogre::D3D9DeviceManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9DeviceManager.html">D3D9DeviceManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9DeviceManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9DeviceManager" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Device manager interface.  
 <a href="classOgre_1_1D3D9DeviceManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::D3D9DeviceManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1D3D9DeviceManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1D3D9DeviceManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1D3D9DeviceManager_inherit__map" id="Ogre_1_1D3D9DeviceManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="43,5,149,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1D3D9DeviceManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a06f125e395b37ad7b9b8d6b1db462bbe">setActiveDevice</a> (<a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#ac9456ae6636041806748e5b3d76a2b37">getActiveDevice</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a3daf82246c619a240cc4a8445f38e0ab">setActiveRenderTargetDevice</a> (<a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#acb2044e9b59f18f6e0707d6fbd07e683">getActiveRenderTargetDevice</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">UINT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#ae13f7c2bc7a400608fb054e79ed59006">getDeviceCount</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#ada407cdbd5d99c2dc5f9dc3c8b241e0a">getDevice</a> (UINT index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a35933fdf0da87060456a5acf8d51543b">linkRenderWindow</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a147a498d4d43ae9f9cb281310441efe7">destroyInactiveRenderDevices</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a317c8ba560f3320a499fa1d84367ec4d">notifyOnDeviceDestroy</a> (<a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a149b6c4a3a1be36c16779d70c14ab323">getDeviceFromD3D9Device</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aae141cb5e2229f39db71f16b8c492d5f">D3D9DeviceManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a9daace43f6989ac65bc7e06f63b29426">~D3D9DeviceManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">DeviceList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef DeviceList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aeb90d58507a2922ffa1db5cb042337e8">DeviceIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef DeviceList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a8b7a458eb80274b817d3ccf9fec32f52">ConstDeviceIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">D3D9RenderWindowList</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#abd9d0ca96d3bcaa4969b3ca076e415f4">selectDevice</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow, <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">D3D9RenderWindowList</a> &amp;renderWindowsGroup)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Driver.html">D3D9Driver</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a874e978920e3ea762d7ebef65a426042">findDriver</a> (<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *renderWindow)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">DeviceList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#acf7c6fa29a597267e700dc6e846a172e">mRenderDevices</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a6a99ed4050e5a9b6e79a0b3cfdfa413a">mActiveDevice</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aca4a2302c632e7562d7f47961dfe9b5a">mActiveRenderWindowDevice</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Device manager interface. </p>

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00040">40</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a8b7a458eb80274b817d3ccf9fec32f52"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::ConstDeviceIterator" ref="a8b7a458eb80274b817d3ccf9fec32f52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef DeviceList::const_iterator <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a8b7a458eb80274b817d3ccf9fec32f52">Ogre::D3D9DeviceManager::ConstDeviceIterator</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00063">63</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5b4acba0d83d98268112f98bc8134549"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::D3D9RenderWindowList" ref="a5b4acba0d83d98268112f98bc8134549" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a>*&gt;::type <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">Ogre::D3D9DeviceManager::D3D9RenderWindowList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00064">64</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeb90d58507a2922ffa1db5cb042337e8"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::DeviceIterator" ref="aeb90d58507a2922ffa1db5cb042337e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef DeviceList::iterator <a class="el" href="classOgre_1_1D3D9DeviceManager.html#aeb90d58507a2922ffa1db5cb042337e8">Ogre::D3D9DeviceManager::DeviceIterator</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00062">62</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaa00207d86a7b5c94fe1233b0aec7dc6"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::DeviceList" ref="aaa00207d86a7b5c94fe1233b0aec7dc6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>*&gt;::type <a class="el" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">Ogre::D3D9DeviceManager::DeviceList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00061">61</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aae141cb5e2229f39db71f16b8c492d5f"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::D3D9DeviceManager" ref="aae141cb5e2229f39db71f16b8c492d5f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aae141cb5e2229f39db71f16b8c492d5f">Ogre::D3D9DeviceManager::D3D9DeviceManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9daace43f6989ac65bc7e06f63b29426"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::~D3D9DeviceManager" ref="a9daace43f6989ac65bc7e06f63b29426" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a9daace43f6989ac65bc7e06f63b29426">Ogre::D3D9DeviceManager::~D3D9DeviceManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a147a498d4d43ae9f9cb281310441efe7"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::destroyInactiveRenderDevices" ref="a147a498d4d43ae9f9cb281310441efe7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a147a498d4d43ae9f9cb281310441efe7">Ogre::D3D9DeviceManager::destroyInactiveRenderDevices</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a874e978920e3ea762d7ebef65a426042"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::findDriver" ref="a874e978920e3ea762d7ebef65a426042" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Driver.html">D3D9Driver</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a874e978920e3ea762d7ebef65a426042">Ogre::D3D9DeviceManager::findDriver</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac9456ae6636041806748e5b3d76a2b37"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::getActiveDevice" ref="ac9456ae6636041806748e5b3d76a2b37" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#ac9456ae6636041806748e5b3d76a2b37">Ogre::D3D9DeviceManager::getActiveDevice</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="acb2044e9b59f18f6e0707d6fbd07e683"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::getActiveRenderTargetDevice" ref="acb2044e9b59f18f6e0707d6fbd07e683" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#acb2044e9b59f18f6e0707d6fbd07e683">Ogre::D3D9DeviceManager::getActiveRenderTargetDevice</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ada407cdbd5d99c2dc5f9dc3c8b241e0a"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::getDevice" ref="ada407cdbd5d99c2dc5f9dc3c8b241e0a" args="(UINT index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#ada407cdbd5d99c2dc5f9dc3c8b241e0a">Ogre::D3D9DeviceManager::getDevice</a> </td>
          <td>(</td>
          <td class="paramtype">UINT&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae13f7c2bc7a400608fb054e79ed59006"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::getDeviceCount" ref="ae13f7c2bc7a400608fb054e79ed59006" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UINT <a class="el" href="classOgre_1_1D3D9DeviceManager.html#ae13f7c2bc7a400608fb054e79ed59006">Ogre::D3D9DeviceManager::getDeviceCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a149b6c4a3a1be36c16779d70c14ab323"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::getDeviceFromD3D9Device" ref="a149b6c4a3a1be36c16779d70c14ab323" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a149b6c4a3a1be36c16779d70c14ab323">Ogre::D3D9DeviceManager::getDeviceFromD3D9Device</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a35933fdf0da87060456a5acf8d51543b"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::linkRenderWindow" ref="a35933fdf0da87060456a5acf8d51543b" args="(D3D9RenderWindow *renderWindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a35933fdf0da87060456a5acf8d51543b">Ogre::D3D9DeviceManager::linkRenderWindow</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a317c8ba560f3320a499fa1d84367ec4d"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::notifyOnDeviceDestroy" ref="a317c8ba560f3320a499fa1d84367ec4d" args="(D3D9Device *device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a317c8ba560f3320a499fa1d84367ec4d">Ogre::D3D9DeviceManager::notifyOnDeviceDestroy</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="abd9d0ca96d3bcaa4969b3ca076e415f4"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::selectDevice" ref="abd9d0ca96d3bcaa4969b3ca076e415f4" args="(D3D9RenderWindow *renderWindow, D3D9RenderWindowList &amp;renderWindowsGroup)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#abd9d0ca96d3bcaa4969b3ca076e415f4">Ogre::D3D9DeviceManager::selectDevice</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9RenderWindow.html">D3D9RenderWindow</a> *&#160;</td>
          <td class="paramname"><em>renderWindow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">D3D9RenderWindowList</a> &amp;&#160;</td>
          <td class="paramname"><em>renderWindowsGroup</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a06f125e395b37ad7b9b8d6b1db462bbe"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::setActiveDevice" ref="a06f125e395b37ad7b9b8d6b1db462bbe" args="(D3D9Device *device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a06f125e395b37ad7b9b8d6b1db462bbe">Ogre::D3D9DeviceManager::setActiveDevice</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3daf82246c619a240cc4a8445f38e0ab"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::setActiveRenderTargetDevice" ref="a3daf82246c619a240cc4a8445f38e0ab" args="(D3D9Device *device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a3daf82246c619a240cc4a8445f38e0ab">Ogre::D3D9DeviceManager::setActiveRenderTargetDevice</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a> *&#160;</td>
          <td class="paramname"><em>device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6a99ed4050e5a9b6e79a0b3cfdfa413a"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::mActiveDevice" ref="a6a99ed4050e5a9b6e79a0b3cfdfa413a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#a6a99ed4050e5a9b6e79a0b3cfdfa413a">Ogre::D3D9DeviceManager::mActiveDevice</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00072">72</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aca4a2302c632e7562d7f47961dfe9b5a"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::mActiveRenderWindowDevice" ref="aca4a2302c632e7562d7f47961dfe9b5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Device.html">D3D9Device</a>* <a class="el" href="classOgre_1_1D3D9DeviceManager.html#aca4a2302c632e7562d7f47961dfe9b5a">Ogre::D3D9DeviceManager::mActiveRenderWindowDevice</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00073">73</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="acf7c6fa29a597267e700dc6e846a172e"></a><!-- doxytag: member="Ogre::D3D9DeviceManager::mRenderDevices" ref="acf7c6fa29a597267e700dc6e846a172e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">DeviceList</a> <a class="el" href="classOgre_1_1D3D9DeviceManager.html#acf7c6fa29a597267e700dc6e846a172e">Ogre::D3D9DeviceManager::mRenderDevices</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9DeviceManager_8h_source.html#l00071">71</a> of file <a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9DeviceManager_8h_source.html">OgreD3D9DeviceManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:15
</p>
</body>
</html>
